# Uses of Class
net.shibboleth.shared.service.ServiceException

Packages that use ServiceException
Package
Description
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.spring.service
Spring specific implementations of `ServiceableComponent` and `ReloadableService`.

## Uses of ServiceException in net.shibboleth.shared.service

Methods in net.shibboleth.shared.service that throw ServiceException
Modifier and Type
Method
Description
`ServiceableComponent<T>`
ReloadableService.`getServiceableComponent()`
Get the serviceable component that this service supports.

## Uses of ServiceException in net.shibboleth.shared.spring.service

Methods in net.shibboleth.shared.spring.service that throw ServiceException
Modifier and Type
Method
Description
`AbstractServiceableComponent<T>`
ReloadableSpringService.`getServiceableComponent()`
Get the serviceable component that this service supports.